.align-center {
    text-align: center;
}

.modal__inner.modal-partner {
    width: 680px;
    max-width: 100%;
    @media (width <= 1023px) {
        width: 355px;
    }
}

.modal-partner .star {
    color: red;
}

.modal-partner .modal-title {
    margin: 0 0 22px;
    font-weight: 700;
    font-size: 22px;
    line-height: 1.3;
    text-align: center;
    color: var(--font-dark);
    @media (width <= 768px) {
        font-size: 20px;
    }
}

.become-partner,
.become-client,
.get-choose {
    display: none;
}

.modal-partner .form-group {
    margin-bottom: 20px;
}

.become-partner .choose-type {
    display: flex;
    gap: 10px;
    @media (width <= 768px) {
        flex-wrap: wrap;
    }
}

.become-partner .choose-type label {
    display: flex;
    gap: 10px;
    align-items: center;
    width: calc(50% - 10px);
    border: 1px solid var(--border);
    border-radius: 10px;
    padding: 20px;
    .input-radio {
        width: 20px;
        height: 20px;
    }
    &.active {
        background: var(--bg-box);
    }
    @media (width <= 575px) {
        width: 100%;
    }
}

.input-caption {
    margin-bottom: 5px;
    .legal {
        display: none;
    }
}

select.urgent-choice {
    width: 100%;
    height: 64px;
    padding: 0 20px;
    border: 1px solid var(--border);
    border-radius: 10px;
    background: #fff;
    font-family: var(--font);
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    color: var(--primary);
}

select.urgent-choice option {
    @media (width <= 768px) {
        font-size: 13px;
    }
}

.modal-form__res {
    display: none;
    text-align: center;
}

.result-parent {
    position: absolute;
    background: #fff;
    border-radius: 0 0 8px 8px;
    border: 1px solid var(--border);
    border-top: none;
    margin-left: 8px;
}

.result-parent__inner {
    padding: 8px 18px;
    background: #f5f5f5;
    font-weight: 600;
    .correct-nick {
        color: var(--secondary);
    }
    .incorrect-nick {
        color: red;
    }
}

.result-item {
    padding: 4px 0;
    cursor: pointer;
}

.result-item:hover {
    color: var(--secondary);
}

.modal-partner .btns-holder {
    @media (width <= 768px) {
        flex-wrap: wrap;
        gap: 0;
    }
}

.modal-form__res {
    text-align: center;
    .partner-nick  {
        font-size: 26px;
        font-weight: 600;
    }
}

.modal-form__error {
    display: none;
    margin-top: 20px;
    padding: 0 30px;
    text-align: center;
    color: red;
    @media (width <= 768px) {
        padding: 0;
    }
}
